package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 作业任务表信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="WMS_TASK")
@Api("ASN主表信息")
public class WmsTaskInfo extends BaseBean {

    @Column(name="MOVE_NO")
    @ApiParam("移动单号")
    public String moveNo;

    @Column(name="USER_NO")
    @ApiParam("作业人员")
    public String userNo;

    @Column(name="OP_TYPE_CODE")
    @ApiParam("作业类型")
    public String opTypeCode;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String reMark;

    /**
     * 状态:0=创建,5=待处理,10=已处理
     */
    @Column(name="STATUS")
    @ApiParam(value = "状态", example = "0")
    public Integer status;
}
